Package org.eclipse.lemminx.extensions.contentmodel.settings

## Class XMLSchemaSettings

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.settings.XMLSchemaSettings

    public class XMLSchemaSettings
    extends Object

XML Schema settings.

### Constructor Summary

Constructors
`XMLSchemaSettings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`SchemaEnabled` `getEnabled()`
`int` `hashCode()`
`void` `setEnabled​(SchemaEnabled enabled)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLSchemaSettings

    public XMLSchemaSettings()

### Method Detail

#### setEnabled

    public void setEnabled​(SchemaEnabled enabled)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### getEnabled

    public SchemaEnabled getEnabled()